summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2016-02-17 11:08:35 +0100
committerBernard Cafarelli <voyageur@gentoo.org>2016-02-17 11:39:52 +0100
commit5e856226245fca3b0a2cab7fab11f1ab140d791a (patch)
tree8b929d9d9a06f63e10ec0d43a6886ae0c089f726 /gnustep-libs
parentgnustep-apps/price: version bump (diff)
downloadgentoo-5e856226245fca3b0a2cab7fab11f1ab140d791a.tar.gz
gentoo-5e856226245fca3b0a2cab7fab11f1ab140d791a.tar.bz2
gentoo-5e856226245fca3b0a2cab7fab11f1ab140d791a.zip
gnustep-libs/performance: version bump
Package-Manager: portage-2.2.27
Diffstat (limited to 'gnustep-libs')
-rw-r--r--gnustep-libs/performance/Manifest1
-rw-r--r--gnustep-libs/performance/performance-0.5.0.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/gnustep-libs/performance/Manifest b/gnustep-libs/performance/Manifest
index 31761711e41..0aeec1608ad 100644
--- a/gnustep-libs/performance/Manifest
+++ b/gnustep-libs/performance/Manifest
@@ -1 +1,2 @@
DIST Performance-0.4.0.tar.gz 48527 SHA256 e55c1a8d9e6f1e3ba146490d1b0cf7b84e124410a50070ab3b27ecfc4aab6a1c SHA512 0c590508f2c58501969e8a1233663521274833d0915a671b1f81daf283770b0e98892e5ec447a07e0ede767b1c4f2bf2f2ac52bc6c48b413ff02085ced34a22c WHIRLPOOL 9b353d649fb7c280c370ed76d467b7dea1d70c6ed5dd265c56987744c0029a89cba1aebd17802e595cbd9338f6a36de62f97013df9eed211f4ebcfad18e06c9d
+DIST Performance-0.5.0.tar.gz 50569 SHA256 305fe21705a9774becb58f076542919da38c36867d946b69f735fecfa5bc8459 SHA512 ac83d046c801e1c2b69c708fa806cccf40fca4d5dabe5d461524c3c3eea989c939a11e58d8bff177f45e55a3e1be73bd03b0bb80b611c8390560740cd5cf9fd5 WHIRLPOOL 77168c9c987038f932e825cd4f976c2e8fe1981574bba6aaff7a38a234dfad2a8f1618412f7b48dd660867450e6c7e67804aef09274b1defafc31c89d6c3170e
diff --git a/gnustep-libs/performance/performance-0.5.0.ebuild b/gnustep-libs/performance/performance-0.5.0.ebuild
new file mode 100644
index 00000000000..ef551c22396
--- /dev/null
+++ b/gnustep-libs/performance/performance-0.5.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnustep-2
+
+MY_P=${P/p/P}
+DESCRIPTION="Help improve the performance of GNUstep applications"
+HOMEPAGE="http://wiki.gnustep.org/index.php/Performance"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/libs/${MY_P}.tar.gz"
+
+KEYWORDS="~amd64 ~ppc ~x86"
+LICENSE="LGPL-3"
+SLOT="0"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ if ! use doc; then
+ # Remove doc target
+ sed -i -e '/documentation\.make/d' GNUmakefile \
+ || die "doc sed failed"
+ fi
+
+ default
+}